AppStudio Issues

122
5
Jump to solution
12-12-2018 10:59 AM
GordonDouglass1
New Contributor

I just installed AppStudio and when I try and run an app I get this:

Can anyone tell me what is going on and hoe to fix it?

Thanks - gdouglass@utah.gov

0 Kudos
1 Solution

Accepted Solutions
TinaJin
Esri Regular Contributor

Hi Gordon,

It looks like you are running an old Runtime sample app Add graphics (ArcGIS Runtime 10.2.6) in AppStudio Desktop version 3.0 or above.  You see the error message because starting from AppStudio 3.0 release, we have deprecated support for ArcGIS Runtime 10.2.6 (You can find out more information in this blog post). 

If you wish to run a Graphic sample app in AppStudio Desktop, please click on the New App button on the top right corner of AppStudio Desktop > go to Samples > select Graphics from the drop-down combo box > Create. 

Notice that all of the samples you see from the New App dialog are using new Runtime (ArcGIS Runtime 100.x)

I hope it helps 

Thanks,

Tina 

View solution in original post

0 Kudos
5 Replies
ErwinSoekianto
Esri Regular Contributor

Gordon, 

If you just installed AppStudio for Desktop, I would assume that you are running AppStudio Desktop version 3.1.134, correct? 

And can you tell us a little bit more about the app you are trying to run? Because it looks like it is using an invalid (maybe older version) of the import statement to load ArcGIS Runtime library. 

In AppStudio Desktop 3.1.134, it comes with ArcGIS Runtime SDK for Qt version 100.3, and the import statement should be as follow, 

import Esri.ArcGISRuntime 100.3

You can try fixing the import statement to load ArcGIS Runtime library in the files and line number stated in the error message. 

Thank you,

Erwin

0 Kudos
GordonDouglass1
New Contributor

Yes it is the newest version. Was trying to run some of the sample apps and

I get variations on the error I posted.

Example:

Thanks.

0 Kudos
GordonDouglass1
New Contributor

Thanks!

0 Kudos
TinaJin
Esri Regular Contributor

Hi Gordon,

It looks like you are running an old Runtime sample app Add graphics (ArcGIS Runtime 10.2.6) in AppStudio Desktop version 3.0 or above.  You see the error message because starting from AppStudio 3.0 release, we have deprecated support for ArcGIS Runtime 10.2.6 (You can find out more information in this blog post). 

If you wish to run a Graphic sample app in AppStudio Desktop, please click on the New App button on the top right corner of AppStudio Desktop > go to Samples > select Graphics from the drop-down combo box > Create. 

Notice that all of the samples you see from the New App dialog are using new Runtime (ArcGIS Runtime 100.x)

I hope it helps 

Thanks,

Tina 

View solution in original post

0 Kudos
GordonDouglass1
New Contributor

Thanks for the replies. Tina's response did the trick.

0 Kudos